from typing import Optional
from pydantic import BaseModel, root_validator
from datetime import datetime


class CreateVehicle(BaseModel):
    id: int
    model: str
    year: int
    license_plate: str
    type: str
    mileage: int


class OutputVehicle(BaseModel):
    Model: str
    Year: int
    LicensePlate: str
    Type: str
    Mileage: int
    CurrentLocation: Optional[list[str]] = None
    Fuel: Optional[int] = 0
    MaintenanceNotes: Optional[list[str]] = None
    AssignedDriverIds: Optional[list[int]] = None
